﻿@using GridMvc.Html
@using GridMvc.Sorting
@using LoyaltyPointEngine.Data
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<FlagUptradeManage>


@(
 Html.Grid(Model).Named("AllFlagUptrade").Columns(columns =>
 {
     columns.Add(x => x.Code)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Code).Filterable(true);

     columns.Add(x => x.StatusFlag)
         .Titled("Remarks Member")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.StatusFlag).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.Value.ToString("dd/MM/yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.FlagUptrade.Edit(Convert.ToInt32(x.ID)))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.FlagUptrade.Delete(Convert.ToInt32(x.ID))), x.Code));

 }).Filterable()
.Sortable()
.WithPaging(5)
)

